opensesh docs

List resources

GET
/events/{eventId}/resources

Lists draft and published speaker resources in manual order, including audience assignments. File resources can be read here but file upload is app-only.

Authorization

bearerAuth
AuthorizationBearer <token>

An organization API key (osk_…)

In: header

Path Parameters

eventId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/events/string/resources"
[  {    "id": "string",    "createdAt": "string",    "updatedAt": "string",    "eventId": "string",    "title": "string",    "subtitle": "string",    "body": "string",    "position": 0,    "published": true,    "audienceMode": "all",    "attachmentKind": "link",    "linkUrl": "string",    "embedUrl": "string",    "fileStorageKey": "string",    "fileName": "string",    "fileContentType": "string",    "fileSize": 0,    "trackIds": [      "string"    ],    "contactIds": [      "string"    ]  }]